summaryrefslogtreecommitdiff
path: root/ctdb/tests/INTEGRATION/failover/pubips.030.disable_enable.sh
diff options
context:
space:
mode:
authorMartin Schwenke <martin@meltin.net>2019-12-10 14:50:42 +1100
committerMartin Schwenke <martins@samba.org>2020-07-22 07:53:35 +0000
commit8b24cae630306870de9c9c7bdfac8da3fef489fd (patch)
treec61fa1a966ceb9a5a1fef3f08366afb04f064338 /ctdb/tests/INTEGRATION/failover/pubips.030.disable_enable.sh
parent0f201dd67a019d4d64011b894ebf542b109afef4 (diff)
downloadsamba-8b24cae630306870de9c9c7bdfac8da3fef489fd.tar.gz
ctdb-tests: Update preamble for INTEGRATION tests
* Use "#!/usr/bin/env bash" for improved portability * Drop test_info() definition and replace it with a comment The use of test_info() is pointless. * Drop call to cluster_is_healthy() This is a holdover from when the previous test would restart daemons to get things ready for a test. There was also a bug where going into recovery during the restart would sometimes cause the cluster to become unhealthy. If we really need something like this then we can add it to ctdb_test_init(). * Make order of preamble consistent Signed-off-by: Martin Schwenke <martin@meltin.net> Reviewed-by: Amitay Isaacs <amitay@gmail.com>
Diffstat (limited to 'ctdb/tests/INTEGRATION/failover/pubips.030.disable_enable.sh')
-rwxr-xr-xctdb/tests/INTEGRATION/failover/pubips.030.disable_enable.sh15
1 files changed, 4 insertions, 11 deletions
diff --git a/ctdb/tests/INTEGRATION/failover/pubips.030.disable_enable.sh b/ctdb/tests/INTEGRATION/failover/pubips.030.disable_enable.sh
index c0bb62d1991..9a1616ceefc 100755
--- a/ctdb/tests/INTEGRATION/failover/pubips.030.disable_enable.sh
+++ b/ctdb/tests/INTEGRATION/failover/pubips.030.disable_enable.sh
@@ -1,22 +1,15 @@
-#!/bin/bash
+#!/usr/bin/env bash
-test_info()
-{
- cat <<EOF
-Verify the operation of "ctdb disable" and "ctdb enable"
-EOF
-}
+# Verify the operation of "ctdb disable" and "ctdb enable"
. "${TEST_SCRIPTS_DIR}/integration.bash"
+set -e
+
ctdb_test_init
########################################
-set -e
-
-cluster_is_healthy
-
select_test_node_and_ips
echo "Disabling node $test_node"